---
title: "Get customer properties"
slug: "get-customer-properties"
updated: 2026-01-09T07:50:19Z
published: 2026-01-09T07:50:35Z
canonical: "products.egfabri.cloud/get-customer-properties"
---
> ## Documentation Index
> Fetch the complete documentation index at: https://products.egfabri.cloud/llms.txt
> Use this file to discover all available pages before exploring further.
# Get customer properties
Get/Customerdataservice/api/customers/{id}/properties
Returns the CustomerProperty object for the specified customer.
Path parametersidobjectRequired
Customer ID
Responses200
Customer properties returned successfully
Expand Allobject additionalProperties Array of object (Customerdataservice_AdditionalProperty)
List of customer properties.
Example[
{
"type": "VIP",
"code": "VIP01",
"value": "Gold"
}
]object
Custom property for the customer.
Example[
{
"type": "VIP",
"code": "VIP01",
"value": "Gold"
}
]typestring
Type of property.
Min length1Max length2147483647ExampleVIP
codestring
Property code.
Min length1Max length2147483647ExampleVIP01
valuestring
Property value.
Min length1Max length2147483647ExampleGold
blockedboolean
Indicates if the customer is blocked.
Examplefalse
creditAllowedboolean
Indicates if credit is allowed for the customer.
Exampletrue
cashAllowedboolean
Indicates if cash payment is allowed for the customer.
Examplefalse
requisitionRequiredboolean
Indicates if requisition is required.
Examplefalse
contactPersonRequiredboolean
Indicates if a contact person is required.
Exampletrue
contactPersonRequesterRequiredboolean
Indicates if a contact person requester is required.
Examplefalse
referenceRequiredboolean
Indicates if a reference is required.
Examplefalse
projectRequiredboolean
Indicates if a project is required.
Examplefalse
creditLimitobject (Customerdataservice_Money)
Monetary value.
currencystring
Currency code (ISO 4217).
Valid values[
"NOK",
"SEK",
"DKK",
"EUR",
"USD",
"GBP",
"CHF",
"PLN",
"CZK",
"HUF",
"JPY",
"AUD",
"CAD",
"SGD",
"CNY",
"INR"
]ExampleNOK
amountnumber
Amount in the specified currency.
Minimum0Maximum10000000Example10000.0
currentOrderValueInclVatobject (Customerdataservice_Money)
Monetary value.
currencystring
Currency code (ISO 4217).
Valid values[
"NOK",
"SEK",
"DKK",
"EUR",
"USD",
"GBP",
"CHF",
"PLN",
"CZK",
"HUF",
"JPY",
"AUD",
"CAD",
"SGD",
"CNY",
"INR"
]ExampleNOK
amountnumber
Amount in the specified currency.
Minimum0Maximum10000000Example10000.0
currentBalanceInclVatobject (Customerdataservice_Money)
Monetary value.
currencystring
Currency code (ISO 4217).
Valid values[
"NOK",
"SEK",
"DKK",
"EUR",
"USD",
"GBP",
"CHF",
"PLN",
"CZK",
"HUF",
"JPY",
"AUD",
"CAD",
"SGD",
"CNY",
"INR"
]ExampleNOK
amountnumber
Amount in the specified currency.
Minimum0Maximum10000000Example10000.0
specialAgreementstring
Special agreement details.
ExampleSpecial pricing for Q4
vatFreeCustomerboolean
Indicates if the customer is VAT free.
Examplefalse
orderDiscountnumber
Order discount percentage.
Minimum0Example5.5
showPriceOnPacknoteboolean
Indicates if price should be shown on packnote.
Exampletrue
401
HTTP Unauthorized
object timestampstring (date-time)
statusinteger (int32)
errorstring
pathstring
404
HTTP Not Found
Expand Allobject
Object representing error details in responses
titlestring
A short, human-readable title for the error.
Min length0Max length200ExampleValidation Error
statusinteger (int32)
The HTTP status code generated by the origin server for this occurrence of the problem.
Example400
detailstring
A human-readable explanation specific to this occurrence of the problem.
Min length0Max length250ExampleOne or more fields are invalid.
instancestring
A URI reference that identifies the specific occurrence of the problem.
Min length0Max length250Example/api/containers/123
errors Array of object (Customerdataservice_ValidationErrorDTO) Min items0Max items100object fieldNamestring Min length0Max length100
messagestring Min length0Max length200
rejectedValuestring Min length0Max length200
500
HTTP Internal Server Error
Expand Allobject
Object representing error details in responses
titlestring
A short, human-readable title for the error.
Min length0Max length200ExampleValidation Error
statusinteger (int32)
The HTTP status code generated by the origin server for this occurrence of the problem.
Example400
detailstring
A human-readable explanation specific to this occurrence of the problem.
Min length0Max length250ExampleOne or more fields are invalid.
instancestring
A URI reference that identifies the specific occurrence of the problem.
Min length0Max length250Example/api/containers/123
errors Array of object (Customerdataservice_ValidationErrorDTO) Min items0Max items100object fieldNamestring Min length0Max length100
messagestring Min length0Max length200
rejectedValuestring Min length0Max length200